utils/haddock_dist_VERSION = 2.22.0
utils/haddock_dist_COMPONENT_ID = haddock-2.22.0
utils/haddock_dist_MODULES = Main Documentation.Haddock.Parser Documentation.Haddock.Parser.Monad Documentation.Haddock.Types Documentation.Haddock.Doc Documentation.Haddock.Utf8 Documentation.Haddock.Parser.Util Documentation.Haddock.Markup Documentation.Haddock Haddock Haddock.Interface Haddock.Interface.Json Haddock.Interface.Rename Haddock.Interface.Create Haddock.Interface.AttachInstances Haddock.Interface.LexParseRn Haddock.Interface.ParseModuleHeader Haddock.Interface.Specialize Haddock.Parser Haddock.Utils Haddock.Utils.Json Haddock.Backends.Xhtml Haddock.Backends.Xhtml.Decl Haddock.Backends.Xhtml.DocMarkup Haddock.Backends.Xhtml.Layout Haddock.Backends.Xhtml.Meta Haddock.Backends.Xhtml.Names Haddock.Backends.Xhtml.Themes Haddock.Backends.Xhtml.Types Haddock.Backends.Xhtml.Utils Haddock.Backends.LaTeX Haddock.Backends.HaddockDB Haddock.Backends.Hoogle Haddock.Backends.Hyperlinker Haddock.Backends.Hyperlinker.Ast Haddock.Backends.Hyperlinker.Parser Haddock.Backends.Hyperlinker.Renderer Haddock.Backends.Hyperlinker.Types Haddock.Backends.Hyperlinker.Utils Haddock.ModuleTree Haddock.Types Haddock.Doc Haddock.Version Haddock.InterfaceFile Haddock.Options Haddock.GhcUtils Haddock.Syb Haddock.Convert Paths_haddock
utils/haddock_dist_HIDDEN_MODULES = Documentation.Haddock.Parser Documentation.Haddock.Parser.Monad Documentation.Haddock.Types Documentation.Haddock.Doc Documentation.Haddock.Utf8 Documentation.Haddock.Parser.Util Documentation.Haddock.Markup Documentation.Haddock Haddock Haddock.Interface Haddock.Interface.Json Haddock.Interface.Rename Haddock.Interface.Create Haddock.Interface.AttachInstances Haddock.Interface.LexParseRn Haddock.Interface.ParseModuleHeader Haddock.Interface.Specialize Haddock.Parser Haddock.Utils Haddock.Utils.Json Haddock.Backends.Xhtml Haddock.Backends.Xhtml.Decl Haddock.Backends.Xhtml.DocMarkup Haddock.Backends.Xhtml.Layout Haddock.Backends.Xhtml.Meta Haddock.Backends.Xhtml.Names Haddock.Backends.Xhtml.Themes Haddock.Backends.Xhtml.Types Haddock.Backends.Xhtml.Utils Haddock.Backends.LaTeX Haddock.Backends.HaddockDB Haddock.Backends.Hoogle Haddock.Backends.Hyperlinker Haddock.Backends.Hyperlinker.Ast Haddock.Backends.Hyperlinker.Parser Haddock.Backends.Hyperlinker.Renderer Haddock.Backends.Hyperlinker.Types Haddock.Backends.Hyperlinker.Utils Haddock.ModuleTree Haddock.Types Haddock.Doc Haddock.Version Haddock.InterfaceFile Haddock.Options Haddock.GhcUtils Haddock.Syb Haddock.Convert Paths_haddock
utils/haddock_dist_SYNOPSIS =A documentation-generation tool for Haskell libraries
utils/haddock_dist_HS_SRC_DIRS = driver haddock-api/src haddock-library/src
utils/haddock_dist_DEPS = Cabal-2.4.0.1 array-0.5.3.0 base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 deepseq-1.4.4.0 directory-1.3.3.0 filepath-1.4.2.1 ghc-8.6.3 ghc-boot-8.6.3 parsec-3.1.13.0 text-1.2.3.1 transformers-0.5.5.0 xhtml-3000.2.2.1
utils/haddock_dist_DEP_IPIDS = Cabal-2.4.0.1 array-0.5.3.0 base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 deepseq-1.4.4.0 directory-1.3.3.0 filepath-1.4.2.1 ghc-8.6.3 ghc-boot-8.6.3 parsec-3.1.13.0 text-1.2.3.1 transformers-0.5.5.0 xhtml-3000.2.2.1
utils/haddock_dist_DEP_NAMES = Cabal array base bytestring containers deepseq directory filepath ghc ghc-boot parsec text transformers xhtml
utils/haddock_dist_DEP_COMPONENT_IDS = Cabal-2.4.0.1 array-0.5.3.0 base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 deepseq-1.4.4.0 directory-1.3.3.0 filepath-1.4.2.1 ghc-8.6.3 ghc-boot-8.6.3 parsec-3.1.13.0 text-1.2.3.1 transformers-0.5.5.0 xhtml-3000.2.2.1
utils/haddock_dist_TRANSITIVE_DEP_NAMES = xhtml ghc terminfo hpc ghci template-haskell ghc-heap ghc-boot ghc-boot-th Cabal process pretty parsec text mtl transformers directory unix time filepath binary containers bytestring deepseq array base integer-gmp ghc-prim rts
utils/haddock_dist_TRANSITIVE_DEP_COMPONENT_IDS = xhtml-3000.2.2.1 ghc-8.6.3 terminfo-0.4.1.2 hpc-0.6.0.3 ghci-8.6.3 template-haskell-2.14.0.0 ghc-heap-8.6.3 ghc-boot-8.6.3 ghc-boot-th-8.6.3 Cabal-2.4.0.1 process-1.6.3.0 pretty-1.1.3.6 parsec-3.1.13.0 text-1.2.3.1 mtl-2.2.2 transformers-0.5.5.0 directory-1.3.3.0 unix-2.7.2.2 time-1.8.0.2 filepath-1.4.2.1 binary-0.8.6.0 containers-0.6.0.1 bytestring-0.10.8.2 deepseq-1.4.4.0 array-0.5.3.0 base-4.12.0.0 integer-gmp-1.0.2.0 ghc-prim-0.5.3 rts
utils/haddock_dist_INCLUDE_DIRS = 
utils/haddock_dist_INCLUDES = 
utils/haddock_dist_INSTALL_INCLUDES = 
utils/haddock_dist_EXTRA_LIBRARIES = 
utils/haddock_dist_EXTRA_LIBDIRS = 
utils/haddock_dist_S_SRCS = 
utils/haddock_dist_C_SRCS  = 
utils/haddock_dist_CMM_SRCS = 
utils/haddock_dist_DATA_FILES = 
utils/haddock_dist_HC_OPTS = -funbox-strict-fields -Wall -fwarn-tabs -O2 -threaded -XHaskell2010
utils/haddock_dist_CC_OPTS = 
utils/haddock_dist_CPP_OPTS = -DIN_GHC_TREE
utils/haddock_dist_LD_OPTS = 
utils/haddock_dist_DEP_INCLUDE_DIRS_SINGLE_QUOTED = '/home/jerry/.work/ghc-8.6.3/compiler/.' '/home/jerry/.work/ghc-8.6.3/compiler/stage2/build/.' '/home/jerry/.work/ghc-8.6.3/compiler/parser' '/home/jerry/.work/ghc-8.6.3/compiler/stage2/build/parser' '/home/jerry/.work/ghc-8.6.3/compiler/utils' '/home/jerry/.work/ghc-8.6.3/compiler/stage2/build/utils' '/home/jerry/.work/ghc-8.6.3/compiler/../rts/dist/build' '/home/jerry/.work/ghc-8.6.3/compiler/stage2/build/../rts/dist/build' '/home/jerry/.work/ghc-8.6.3/compiler/stage2' '/home/jerry/.work/ghc-8.6.3/compiler/stage2/build/stage2' '/home/jerry/.work/ghc-8.6.3/libraries/process/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/text/include' '/home/jerry/.work/ghc-8.6.3/libraries/text/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/text/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/text/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/directory/.' '/home/jerry/.work/ghc-8.6.3/libraries/directory/dist-install/build/.' '/home/jerry/.work/ghc-8.6.3/libraries/unix/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/lib/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/lib/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build/lib/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build/lib/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/dist-install/build/include' '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/include' '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/rts/dist/build' '/home/jerry/.work/ghc-8.6.3/includes' '/home/jerry/.work/ghc-8.6.3/includes/dist-derivedconstants/header'
utils/haddock_dist_DEP_CC_OPTS = 
utils/haddock_dist_DEP_LIB_DIRS_SEARCHPATH = /home/jerry/.work/ghc-8.6.3/libraries/xhtml/dist-install/build:/home/jerry/.work/ghc-8.6.3/compiler/stage2/build:/home/jerry/.work/ghc-8.6.3/libraries/terminfo/dist-install/build:/home/jerry/.opt/ghc-8.6.3/lib/ncurses-6.0/lib:/home/jerry/.work/ghc-8.6.3/libraries/hpc/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/ghci/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/template-haskell/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/ghc-heap/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/ghc-boot/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/ghc-boot-th/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/Cabal/Cabal/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/pretty/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/parsec/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/text/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/mtl/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/transformers/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/directory/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/filepath/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/binary/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/deepseq/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/array/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build:/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/lib:/home/jerry/.work/ghc-8.6.3/libraries/ghc-prim/dist-install/build:/home/jerry/.work/ghc-8.6.3/rts/dist/build
utils/haddock_dist_DEP_LIB_REL_DIRS = libraries/xhtml/dist-install/build compiler/stage2/build libraries/terminfo/dist-install/build libraries/hpc/dist-install/build libraries/ghci/dist-install/build libraries/template-haskell/dist-install/build libraries/ghc-heap/dist-install/build libraries/ghc-boot/dist-install/build libraries/ghc-boot-th/dist-install/build libraries/Cabal/Cabal/dist-install/build libraries/process/dist-install/build libraries/pretty/dist-install/build libraries/parsec/dist-install/build libraries/text/dist-install/build libraries/mtl/dist-install/build libraries/transformers/dist-install/build libraries/directory/dist-install/build libraries/unix/dist-install/build libraries/time/dist-install/build libraries/filepath/dist-install/build libraries/binary/dist-install/build libraries/containers/dist-install/build libraries/bytestring/dist-install/build libraries/deepseq/dist-install/build libraries/array/dist-install/build libraries/base/dist-install/build libraries/integer-gmp/dist-install/build libraries/ghc-prim/dist-install/build rts/dist/build
utils/haddock_dist_DEP_LIB_REL_DIRS_SEARCHPATH = libraries/xhtml/dist-install/build:compiler/stage2/build:libraries/terminfo/dist-install/build:libraries/hpc/dist-install/build:libraries/ghci/dist-install/build:libraries/template-haskell/dist-install/build:libraries/ghc-heap/dist-install/build:libraries/ghc-boot/dist-install/build:libraries/ghc-boot-th/dist-install/build:libraries/Cabal/Cabal/dist-install/build:libraries/process/dist-install/build:libraries/pretty/dist-install/build:libraries/parsec/dist-install/build:libraries/text/dist-install/build:libraries/mtl/dist-install/build:libraries/transformers/dist-install/build:libraries/directory/dist-install/build:libraries/unix/dist-install/build:libraries/time/dist-install/build:libraries/filepath/dist-install/build:libraries/binary/dist-install/build:libraries/containers/dist-install/build:libraries/bytestring/dist-install/build:libraries/deepseq/dist-install/build:libraries/array/dist-install/build:libraries/base/dist-install/build:libraries/integer-gmp/dist-install/build:libraries/ghc-prim/dist-install/build:rts/dist/build
utils/haddock_dist_DEP_LD_OPTS = 
utils/haddock_dist_BUILD_GHCI_LIB = NO

$(eval $(utils/haddock_PACKAGE_MAGIC))
